ekey-egd-linux(8)

NAME
egd-linux - EGD Entropy Daemon

SYNOPSIS
ekey-egd-linux [ -H hostip ] [ -p portno ] [ -b blocks ] [ -s shannons ] [ -D pidfile ] [ -r time ] [ -v ] [ -h ]

DESCRIPTION

ekey-egd-linux is a daemon which connects to an EGD server and places the read entropy in the kernels pool.

OPTIONS

-H hostip
    Set the host IP address to connect to.

-p portno
    Set the port number to connect to.

-b blocks
    Set the number of 1024 bit blocks to request each time.

-s shannons
    Set the number of shannons per byte.

-D pidfile
    Specify the name and path of the file used to record the ekey-egd-linux process ID.

-r time
    Set the time between reconnect attempts. The default (0) causes the daemon to exit immediately after the initial connection attempt and no additional connection attempts are made. A non zero value set is the number of seconds the daemon will wait between connection attempts.

-h  Print the usage text and exit.

-v  Print the version number and exit.

SEE ALSO
ekeyd(8), ekey-rekey(8), ekey-setkey(8)

AUTHOR
Copyright © 2009 Simtec Electronics. All rights reserved.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.